Subject: Re: IPoIB: Fix multicast packet drops before join is complete

From: Roland Dreier <[email-masked]>
Date: Tue, 09 Jun 2009 22:04:21 -0700

> If a facility doesn't exist yet, we're going to have to create
 > one.  It would need to do a downcall to the device when the
 > user joins a multicast group on a socket, and then the device
 > can do whatever magic is necessary to speak multicast immediately
 > and sleep until it really is available for immediate use.

But a send-only membership is created when a multicast packet is sent,
which an application can do just with sendto() -- do we want to plumb
all the way from sendto() down to the device the packet is ultimately
going to be sent on?

There isn't any corresponding code to block an app during ARP
resolution, is there?

 - R.